com.fasterxml.jackson.databind.deser.impl

## Class PropertyBasedObjectIdGenerator

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator<T>
  - - com.fasterxml.jackson.annotation.ObjectIdGenerators.PropertyGenerator
    - - com.fasterxml.jackson.databind.deser.impl.PropertyBasedObjectIdGenerator

- All Implemented Interfaces:
    Serializable

      public class PropertyBasedObjectIdGenerator
      extends ObjectIdGenerators.PropertyGenerator

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `ObjectIdGenerator.IdKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBasedObjectIdGenerator(Class<?> scope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectIdGenerator<Object>` | `forScope(Class<?> scope)`
    `Object` | `generateId(Object forPojo)`
    `ObjectIdGenerator.IdKey` | `key(Object key)`
    `ObjectIdGenerator<Object>` | `newForSerialization(Object context)`

    - ### Methods inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `isValidReferencePropertyName, maySerializeAsObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBasedObjectIdGenerator

          public PropertyBasedObjectIdGenerator(Class<?> scope)

  - ### Method Detail

    - #### generateId

          public Object generateId(Object forPojo)

    - #### forScope

          public ObjectIdGenerator<Object> forScope(Class<?> scope)

      Specified by:
        `forScope` in class `ObjectIdGenerator<Object>`

    - #### newForSerialization

          public ObjectIdGenerator<Object> newForSerialization(Object context)

      Specified by:
        `newForSerialization` in class `ObjectIdGenerator<Object>`

    - #### key

          public ObjectIdGenerator.IdKey key(Object key)

      Specified by:
        `key` in class `ObjectIdGenerator<Object>`

Copyright © 2008–2020 FasterXML. All rights reserved.